#pragma once

__int64 GetLength64(CFile &file);
BOOL GetLength64(CString filename, _int64 &size);

//#if 0
struct CFileStatus64
{
	bool m_has_ctime;
	bool m_has_mtime;
	bool m_has_atime;
	CTime m_ctime;          // creation date/time of file
	CTime m_mtime;          // last modification date/time of file
	CTime m_atime;          // last access date/time of file
	_int64 m_size;            // logical size of file in bytes
	BYTE m_attribute;       // logical OR of CFile::Attribute enum values
	BYTE _m_padding;        // pad the structure to a WORD
	TCHAR m_szFullName[_MAX_PATH]; // absolute path name
};
//#endif

BOOL PASCAL GetStatus64(LPCTSTR lpszFileName, CFileStatus64& rStatus);

_int64 GetPosition64(CFile &file);
